package com.bocloud.ims.entity.resource.azure.account;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: BatchAccount
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/7/24 14:24
 */
@Table("batch_account")
public class BatchAccount extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("vendor_id")
    private Long vendorId; // 平台id
    @Column("tenant_id")
    private Long tenantId;
    @Column("project_id")
    private Long projectId;
    @Column("type")
    private String type;
    @Column("region_id")
    private String regionId;
    @Column("primary_key")
    private String primaryKey;
    @Column("secondary_key")
    private String secondaryKey;
    @Column("resource_group_id")
    private Long resourceGroupId;
    @Column("storage_account_id")
    private Long storageAccountId; //存储账户
    @Column("end_point")
    private String endPoint;//账户端点
    @Column("job_schedule_quota")
    private Integer jobScheduleQuota;//活动作业数和计划数
    @Column("pool_quota")
    private Integer poolQuota;//池
    @Column("low_priority_core_quota")
    private Integer lowPriorityCoreQuota;//低优先级 vCPU 数
    @Column("dedicated_core_quota")
    private Integer dedicatedCoreQuota;// 专用 vCPU 总数
    @IgnoreAll
    private String storageAccountName;
    @IgnoreAll
    private String resourceGroupName;

    public String getStorageAccountName() {
        return storageAccountName;
    }

    public void setStorageAccountName(String storageAccountName) {
        this.storageAccountName = storageAccountName;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(String primaryKey) {
        this.primaryKey = primaryKey;
    }

    public String getSecondaryKey() {
        return secondaryKey;
    }

    public void setSecondaryKey(String secondaryKey) {
        this.secondaryKey = secondaryKey;
    }

    public Long getResourceGroupId() {
        return resourceGroupId;
    }

    public void setResourceGroupId(Long resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
    }

    public Long getStorageAccountId() {
        return storageAccountId;
    }

    public void setStorageAccountId(Long storageAccountId) {
        this.storageAccountId = storageAccountId;
    }

    public String getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(String endPoint) {
        this.endPoint = endPoint;
    }

    public Integer getJobScheduleQuota() {
        return jobScheduleQuota;
    }

    public void setJobScheduleQuota(Integer jobScheduleQuota) {
        this.jobScheduleQuota = jobScheduleQuota;
    }

    public Integer getPoolQuota() {
        return poolQuota;
    }

    public void setPoolQuota(Integer poolQuota) {
        this.poolQuota = poolQuota;
    }

    public Integer getLowPriorityCoreQuota() {
        return lowPriorityCoreQuota;
    }

    public void setLowPriorityCoreQuota(Integer lowPriorityCoreQuota) {
        this.lowPriorityCoreQuota = lowPriorityCoreQuota;
    }

    public Integer getDedicatedCoreQuota() {
        return dedicatedCoreQuota;
    }

    public void setDedicatedCoreQuota(Integer dedicatedCoreQuota) {
        this.dedicatedCoreQuota = dedicatedCoreQuota;
    }

}